From acb527c2adb2fc6527513d4d81b8d9609d18d800 Mon Sep 17 00:00:00 2001
From: Thomas Munro <thomas.munro@gmail.com>
Date: Sun, 21 Jul 2024 15:44:10 +1200
Subject: [PATCH v3 2/2] ci: Enable DEBUG_SETLOCALE_MAP on FreeBSD task.

The 007_setlocale_map.pl test runs automatically on Windows, but it can
also be exercised on Unixoid systems with a special build option.  Do
that on the FreeBSD task, so we can make sure it works.  On other
Unixen, it will be skipped.
---
 .cirrus.tasks.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/.cirrus.tasks.yml b/.cirrus.tasks.yml
index 99ca74d513..8bd057eaf8 100644
--- a/.cirrus.tasks.yml
+++ b/.cirrus.tasks.yml
@@ -133,7 +133,7 @@ task:
     DISK_SIZE: 50
 
     CCACHE_DIR: /tmp/ccache_dir
-    CPPFLAGS: -DRELCACHE_FORCE_RELEASE -DCOPY_PARSE_PLAN_TREES -DWRITE_READ_PARSE_PLAN_TREES -DRAW_EXPRESSION_COVERAGE_TEST -DENFORCE_REGRESSION_TEST_NAME_RESTRICTIONS
+    CPPFLAGS: -DRELCACHE_FORCE_RELEASE -DCOPY_PARSE_PLAN_TREES -DWRITE_READ_PARSE_PLAN_TREES -DRAW_EXPRESSION_COVERAGE_TEST -DENFORCE_REGRESSION_TEST_NAME_RESTRICTIONS -DDEBUG_SETLOCALE_MAP
     CFLAGS: -Og -ggdb
 
     PG_TEST_PG_UPGRADE_MODE: --link
@@ -174,7 +174,7 @@ task:
         --buildtype=debug \
         -Dcassert=true -Dinjection_points=true \
         -Duuid=bsd -Dtcl_version=tcl86 -Ddtrace=auto \
-        -DPG_TEST_EXTRA="$PG_TEST_EXTRA" \
+        -DPG_TEST_EXTRA="$PG_TEST_EXTRA DEBUG_SETLOCALE_MAP" \
         -Dextra_lib_dirs=/usr/local/lib -Dextra_include_dirs=/usr/local/include/ \
         build
     EOF
-- 
2.39.2

